<?php

namespace Saswp;

function property_list_view_port_shortcode($_params) {
    $viewPortArray = wp_json_encode($_params, JSON_PRETTY_PRINT);
    $viewPortJson = htmlentities($viewPortArray);

    return sprintf(
        '<div id="list-properties-view-port">
            <list-properties-view-port :view-port=\'%s\'></list-properties-view-port>
        </div>',
        $viewPortJson
    );
}
